path: /build/build/ollama-app-ai-0.12.0.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env: []
  prelude:
  - |-
    export FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox" && \
    export JOBS=3 && \
    eval 'mkdir -p /var/cache/portage/distfiles || true' && \
    chown portage:portage -R /var/cache/portage/ && \
    emerge -j ${JOBS} app-ai/ollama -pv -t && \
    emerge -j ${JOBS} --nodeps app-ai/ollama && \
    export LUET_PORTAGE_CACHE_PACKAGES="/var/cache/portage/packages" && \
    export LUET_PORTAGE_IGNORE_TAR_WARNING=1 && \
    export LUET_PORTAGE_PKGMETA=1 && \
    export LUET_PORTAGE_PKGFILES=1 && \
    eval 'rm -rf /pkgdir/ || true' && mkdir -p /pkgdir/ollama && \
    luet-portage --dir /pkgdir/ollama app-ai/ollama && \
    eval 'rm -v /var/cache/distfiles/* ${LUET_PORTAGE_CACHE_PACKAGES}/* || true'
  image: ""
  seed: docker-registry1.mottainai.local:5000/anise-macaroni-terragon-dev-tree:cbc46c84ca89d20d29b19a83062cf4466b7054404c7e04fd34e24a1cdc0eb74e
  package:
    name: ollama
    version: 0.12.0
    category: app-ai
    requires:
    - name: macaroni-mark-race11
      version: '>=0'
      category: seed
    annotations:
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    description: Get up and running with OpenAI gpt-oss, DeepSeek-R1, Gemma 3 and
      other models.
    uri:
    - https://ollama.com
    license: MIT
    buildtimestamp: 2025-10-26 11:31:18.336742946 +0000 UTC m=+549.033700815
    labels:
      BDEPEND: '>=dev-lang/go-1.24 >=dev-lang/go-1.12 app-arch/unzip dev-util/ninja
        dev-util/cmake'
      DEPEND: sys-apps/shadow
      IUSE: systemd
      emerge.packages: app-ai/ollama
      kit: ai-kit
      original.package.name: app-ai/ollama
      original.package.slot: "0"
      original.package.version: 0.12.0
    treedir: /build/packages
  package_dir: /pkgdir/ollama
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/anise-macaroni-terragon-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: ac1b6f0d96f43ff27198a2ad10aef5da67f266fe0557643fcd4211dc3e9b84e9
compressiontype: zstd
files:
- etc/conf.d/ollama
- etc/env.d/90ollama
- etc/init.d/ollama
- usr/bin/libggml-cpu-alderlake.so
- usr/bin/libggml-cpu-haswell.so
- usr/bin/libggml-cpu-icelake.so
- usr/bin/libggml-cpu-sandybridge.so
- usr/bin/libggml-cpu-skylakex.so
- usr/bin/libggml-cpu-sse42.so
- usr/bin/libggml-cpu-x64.so
- usr/bin/ollama
- usr/lib/ollama/libggml-base.so
- usr/lib/ollama/libggml-cpu-alderlake.so
- usr/lib/ollama/libggml-cpu-haswell.so
- usr/lib/ollama/libggml-cpu-icelake.so
- usr/lib/ollama/libggml-cpu-sandybridge.so
- usr/lib/ollama/libggml-cpu-skylakex.so
- usr/lib/ollama/libggml-cpu-sse42.so
- usr/lib/ollama/libggml-cpu-x64.so
- usr/share/doc/ollama-0.12.0/README.md.bz2
- var/db/pkg/app-ai/ollama-0.12.0/BDEPEND
- var/db/pkg/app-ai/ollama-0.12.0/BUILD_TIME
- var/db/pkg/app-ai/ollama-0.12.0/CATEGORY
- var/db/pkg/app-ai/ollama-0.12.0/CBUILD
- var/db/pkg/app-ai/ollama-0.12.0/CFLAGS
- var/db/pkg/app-ai/ollama-0.12.0/CHOST
- var/db/pkg/app-ai/ollama-0.12.0/CONTENTS
- var/db/pkg/app-ai/ollama-0.12.0/COUNTER
- var/db/pkg/app-ai/ollama-0.12.0/CTARGET
- var/db/pkg/app-ai/ollama-0.12.0/CXX
- var/db/pkg/app-ai/ollama-0.12.0/CXXFLAGS
- var/db/pkg/app-ai/ollama-0.12.0/DEFINED_PHASES
- var/db/pkg/app-ai/ollama-0.12.0/DEPEND
- var/db/pkg/app-ai/ollama-0.12.0/DESCRIPTION
- var/db/pkg/app-ai/ollama-0.12.0/EAPI
- var/db/pkg/app-ai/ollama-0.12.0/FEATURES
- var/db/pkg/app-ai/ollama-0.12.0/HOMEPAGE
- var/db/pkg/app-ai/ollama-0.12.0/INHERITED
- var/db/pkg/app-ai/ollama-0.12.0/IUSE
- var/db/pkg/app-ai/ollama-0.12.0/IUSE_EFFECTIVE
- var/db/pkg/app-ai/ollama-0.12.0/KEYWORDS
- var/db/pkg/app-ai/ollama-0.12.0/LDFLAGS
- var/db/pkg/app-ai/ollama-0.12.0/LICENSE
- var/db/pkg/app-ai/ollama-0.12.0/NEEDED
- var/db/pkg/app-ai/ollama-0.12.0/NEEDED.ELF.2
- var/db/pkg/app-ai/ollama-0.12.0/PF
- var/db/pkg/app-ai/ollama-0.12.0/PROVIDES
- var/db/pkg/app-ai/ollama-0.12.0/REQUIRES
- var/db/pkg/app-ai/ollama-0.12.0/RESTRICT
- var/db/pkg/app-ai/ollama-0.12.0/SIZE
- var/db/pkg/app-ai/ollama-0.12.0/SLOT
- var/db/pkg/app-ai/ollama-0.12.0/USE
- var/db/pkg/app-ai/ollama-0.12.0/environment.bz2
- var/db/pkg/app-ai/ollama-0.12.0/ollama-0.12.0.ebuild
- var/db/pkg/app-ai/ollama-0.12.0/repository
- var/lib/ollama/.keep_app-ai_ollama-0
package_cacheimage: ""
runtime:
  name: ollama
  version: 0.12.0
  category: app-ai
  annotations:
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  description: Get up and running with OpenAI gpt-oss, DeepSeek-R1, Gemma 3 and other
    models.
  uri:
  - https://ollama.com
  license: MIT
  labels:
    BDEPEND: '>=dev-lang/go-1.24 >=dev-lang/go-1.12 app-arch/unzip dev-util/ninja
      dev-util/cmake'
    DEPEND: sys-apps/shadow
    IUSE: systemd
    emerge.packages: app-ai/ollama
    kit: ai-kit
    original.package.name: app-ai/ollama
    original.package.slot: "0"
    original.package.version: 0.12.0
